/* ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
  
  	DATABASE EXAMPLE DECLARATIONS VERSION 1.0  01/06/83  0917
  
   ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
  
 */

%REPLACE
	MAX_KEY BY 2,
	MAX_FIELD BY 7,
	MAX_KEY_LEN BY 20,
	MAX_FLD_LEN BY 20,
	NAME_LEN BY 14,
	FLD_NAME_LEN BY 18,
	ACTION_LEN BY 4,
	NEW_MODE BY 1,
	OLD_MODE BY 2,
	YES BY 1,
	YESBIT BY '1'B,
	NOBIT BY '0'B,
	NO BY 0;

/*
	WORKING VARIABLES
 */

DCL
	(KEY,TERMINAL,TRAP_ERRORS,TIME_OUT_TEST_DELAY,NO_BUFFERS,
		NO_NODE_SECTORS,NO_DATA_FILES,NO_KEYS,FILE_NO,
		RECORD_LENGTH) FIXED STATIC EXTERNAL,
	(SET_LENGTH,IDX_KEY,SPACE) CHAR(MAX_KEY_LEN) VAR STATIC EXTERNAL,
	(SYSLST,SYSCON) FILE,
	OLD_ACTION CHAR(ACTION_LEN) STATIC EXTERNAL,
	FILNAME CHAR(NAME_LEN) VAR STATIC EXTERNAL;

/*
   ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
  
  	 DATABASE FIELD & KEY DESCRIPTORS
  
   ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
 */

DCL
	FLD_NAME(0:MAX_FIELD) CHAR(FLD_NAME_LEN) VAR STATIC EXTERNAL,
	FLD_LEN(0:MAX_FIELD) FIXED BINARY(7) STATIC EXTERNAL,
	(OLD_FLD,NEW_FLD) (0:MAX_FIELD) CHAR(MAX_FLD_LEN) VAR STATIC EXTERNAL,
	NO_FIELDS FIXED STATIC EXTERNAL;

DCL
	IDX_NAME(0:MAX_KEY) CHAR(NAME_LEN) VAR STATIC EXTERNAL,
	KEY_NAME(0:MAX_KEY) CHAR(FLD_NAME_LEN) VAR STATIC EXTERNAL,
	(KEY_LEN,KEY_MAP,KEY_TYPE,KEY_NUM,KEY_DUP) (0:MAX_KEY) FIXED 
		STATIC EXTERNAL,
	FOR_EVER BIT(1) STATIC EXTERNAL,
	(UNIQ_KEY,NLOCK,SLOCK,XLOCK,SFILE,XFILE,RLOCK) FIXED STATIC EXTERNAL;
BASED (HDRBUF_PTR),
		2 VAL(6) FIXED,
		2 FLG CHAR(1),
	HDRBUF_PTR POINTER,
	DEL_FLG CHAR