/*
   :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
  
   		DATA ENTRY ROUTINE
  
   :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
 */

#include <stdio.h>
#include <DATABASE.H>

entdat(dat_mode,drn)

WORD dat_mode,drn;

	{
	WORD unique,fld,op_val,fld_no,temp_mode;
	BYTE op;


	if (dat_mode == NEWDAT)
		for (fld = 0; fld <= MAX_FIELD; fld++)
			strcpy(db[fld].old_fld,"");

	if (dat_mode == OLDDAT)
		for (fld = 0; fld <= MAX_FIELD; fld++)
			strcpy(db[fld].new_fld,db[fld].old_fld);

	clrscr();

	if (dat_mode == NEWDAT)
		{
		printf("\n\t\t   Enter New Customer Information");
		printf("\n\t\t   ******************************");
		printf( \
"\n\n\n    [Enter zero for customer # to see main menu.]\n\n");

		for (fld = 0; fld <= MAX_FIELD; fld++)
		    {
		    fld_no = fld + 1;
		    unique = NO;
		    while (!unique)
			{
			printf("    %d - %24s (%d) >>",fld_no, \
				db[fld].fld_nam,db[fld].fld_len);
			scanf("%20s",db[fld].new_fld);
			if (fld == ky[uniq_key].key_map && \
			    strcmp(db[fld].new_fld,"0") == 0)
				return(STOP);

			if (fld == ky[uniq_key].key_map)
				{ rgtjst(fld,"0000");
				  unique = test_uniqueness();
				}
			else
				{ lefjst(fld,"");
				  unique = YES;
				}
			}
		    }

		temp_mode = NEW_MODE;
		}
	else
		temp_mode = OLD_MODE;
 
	while (FOREVER)
		{
		printf("\n\n\n\n\t\t   Current customer information\n");

		for (fld = 0; fld <= MAX_FIELD; fld++)
			{ fld_no = fld + 1;
			  printf("\n    %d - %24s: %s",fld_no, \
				db[fld].fld_nam,db[fld].new_fld);
			}

		if (temp_mode == OLD_MODE)
			{
			op_val = 0;
			while (op_val < 1 || op_val > no_fields)
				{
				printf( \
"\n\n\nEnter C to continue scan, Field # to change data, S to save changes,");
				printf( \
"\nD to delete data, B for back scan, or E to end scan >>");
				scanf("%c",&op);

				if (op == 'C' || op == 'c') return(CONT);
				if (op == 'S' || op == 's') 
					return(set_xlock(op,drn));
				if (op == 'D' || op == 'd') 
					return(set_xlock(op,drn));
				if (op == 'B' || op == 'b') return(BACK);
				if (op == 'E' || op == 'e') return(STOP);
				op_val = op - '0';
				}

			updfld(op_val);
			}
		else
			{
			op_val = 0;
			while (op_val < 1 || op_val > no_fields)
				{
				printf( \
"\n\n\nEnter S to save data, Field # to change data,");
				printf( \
"\nD to delete data, or E to end input >>");
				scanf("%c",&op);
				if (op == 'S' || op == 's') return(SAVE);
				if (op == 'D' || op == 'd') return(DELT);
				if (op == 'E' || op == 'e') return(STOP);
				op_val = op - '0';
				}
			updfld(op_val);
			}
		}
	}


set_xlock(op,drn)

BYTE op;
WORD drn;

	{
	BYTE wait;

	wait = 'W';
	while (wait == 'W' && SETLOK(file_no,X_LOCK,drn))
		{
		printf( \
"\n\nCustomer update on hold due to record lock!");
		printf( \
"\nEnter W if you wish to wait or any other key to cancel update>>");
		scanf("%c",&wait);
		if (wait == 'w')
			wait = 'W';
		}
	
	if (wait == 'W')
		if (op == 'S')
			return(SAVE);
		else
			return(DELT);
	else
		return(old_action);
	}

/*
   :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
  
   		UPDATE DATA FIELD ROUTINE
  
   :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
 */

VOID updfld(fld_no)

WORD fld_no;

	{
	WORD test,field_no;

	field_no = fld_no-1;
	test = NO;

	while (!test)
		{
		printf("\n\nInput new %s>>",db[field_no].fld_nam);
		scanf("%20s",db[field_no].new_fld);
	
		if (field_no == ky[uniq_key].key_map)
			rgtjst(field_no,"0000");
		else
			lefjst(field_no,"");

		if (field_no == ky[uniq_key].key_map && \
		    strcmp(db[field_no].new_fld,db[field_no].old_fld))
			test = test_uniqueness();
		else
			test = YES;
		}
	}

/*
   :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
  
   		CUST # uniqueNESS test ROUTINE
  
   :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
 */

test_uniqueness()
	{
	struct am86strg tmp_key;
	WORD test;

	tmp_key.len = strlen(strcpy(tmp_key.str, \
		db[ky[uniq_key].key_map].new_fld));
	test = GETKEY(ky[uniq_key].key_num,0,N_LOCK,&tmp_key);

	if (LOKCOD())
		loktyp(12);

	if (!test)
		return(YES);
      	else
		{ printf("\n\n *** Already Assigned ***\n");
		  return(NO);
		}
	}

/*
   :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
  
   		JUSTIFY STRING ROUTINES
  
   :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
 */

rgtjst(fld,s)

WORD fld;
BYTE *s;

	{
	WORD fldlen;
	BYTE fldstr[40],*n,*t;

	fldlen = db[fld].fld_len;
	strcpy(fldstr,s);
	n = db[fld].new_fld;
	strcat(fldstr,n);
	t = fldstr + strlen(fldstr) - fldlen;
	for (; fldlen >= 0; fldlen--)
		*n++ = *t++;
	}

lefjst(fld,s)

WORD fld;
BYTE *s;

	{
	WORD fldlen;

	fldlen = db[fld].fld_len;
	if (strlen(db[fld].new_fld) > fldlen)
		*(db[fld].new_fld + fldlen) = '\0';
	}
